View Issue Details

IDProjectCategoryLast Update
0021602AI War 2[All Projects] Gameplay IssueSep 16, 2019 12:15 pm
ReporterAsteroidAssigned Tox4000Bughunter 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.887 Ending Scenes 
Fixed in Version0.890 Lighting and Darkness 
Summary0021602: Bubble forcefield decollisions away from what it should be protecting
DescriptionI conquer a new system, place my command station over the wormhole that leads in the direction of my homeworld, then place the shield generator, factories, and try to stick as many important turrets as possible under the shield. Then things finish building, and more often than not my shield generator decides to take a hike and move elsewhere instead of staying where I carefully placed it. (I tried to adapt to this behavior and leave some room, but it's really hard and frustrating to evaluate as the "decollision zone" is larger than the actual models of buildings and turrets.)

They also have the tendency to move away if fleet units get on top of them. I also sometimes find that they're not over the wormhole anymore after an enemy attack, and that enemies have slipped through and are wrecking havoc behind my lines - I'm not sure how the latter happens.

I think bubble forcefields should just be fixed like the other turrets. I think their being mobile isn't very useful, I'd rather just have them stay where I put them, and rebuild them elsewhere if needed. They are so slow to move that rebuilding is just as fast anyways.

If we really want to keep them mobile, they should only move when explicitely told so, i.e. they should never decollision.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 8, 2019 8:20 pm

developer   ~0052929

collision_priority="11000"

Interestingly, they are essentially the top priority possible. Anything else in the same place should move, not this. Even the Devourer gets shunted.

I like them being mobile. Sure not fast, but I have used that multiple times.

Asteroid

Sep 8, 2019 9:00 pm

reporter   ~0052932

The game lets you place turrets/factories/others next to the under-construction forcefield without complaining, even if it'll cause a decollision once the buildings are finished. Wouldn't be a problem if the forcefield was a building itself.

For the other phenomenon where they just move aside during some enemy attack, no clue why it happens but it's frequent.

zeusalmighty

Sep 10, 2019 1:20 pm

reporter   ~0052983

Please keep them mobile, there are *many* situations that I want to move the bubble shield and rebuilding them would be costly, tedious, and frustrating

Asteroid

Sep 10, 2019 2:03 pm

reporter   ~0052986

I think it's another one of those features that caters only to advanced players. Most people won't even realize you can move them, and it's too obscure to elongate the tutorial with.

Shields must do their primary task well before implementing fancy stuff. It might imply cutting the moving temporarily and then reintroducing it in a way that doesn't detract from basics. For instance the shield could have a Deploy/Undeploy command to transform it from building to mobile unit.

BadgerBadger

Sep 13, 2019 12:27 am

manager   ~0053054

I think "trying to cram every turret as far under a shield as possible" is a much less likely behaviour than "trying to move force fields".

zeusalmighty

Sep 13, 2019 12:44 am

reporter   ~0053056

The Norris effect is really the reason why shields must be mobile. And no one messes with Chuck Norris so that's not going anywhere XD

Asteroid

Sep 13, 2019 12:46 am

reporter   ~0053057

I respect your opinion as a far more experienced player than I am, but let's be fair here, why would it be less likely behaviour? It's very common behaviour to do that in other RTS games with shields such as Supreme Commander, people will be trying it here too. Logically you want to dish out as much damage as you can for the longest time while taking the least in return, so any space under the shield that's not used is wasted. And since AI War shields specifically shrink as they take damage, you must try to place ("cram") things in the center as much as possible otherwise they lose the cover way too soon.

In contrast, force fields have all appearances of a building, and other things you place from the same build menu section don't move. There's zero reason for people to expect the force field to be movable.

But there's no need to cram every turret out there under the shield to trigger the bug. Just putting three factories, the auto-built energy collectors, a tachyon thingie and occasionally two or three turrets (typically, beam cannons because of their long range) is enough to cause the shield to move enough to leave the wormhole uncovered. The worst part is you never know in advance whether it'll happen or not.

BadgerBadger

Sep 13, 2019 1:04 pm

manager   ~0053076

Is there a reason we can't just make forcefield-providing ships/structures not do decollision?

Asteroid

Sep 13, 2019 1:46 pm

reporter   ~0053078

Good question, I was assuming decollision is a must have. One reason I can see is that with no decollision you end up with the 3d models embedded in each other which looks bad - looks terrible in screenshots, and kind of a pity since a lot of effort were made to have the sequel look good graphically.

BadgerBadger

Sep 13, 2019 1:51 pm

manager   ~0053080

Sure, but for this case you're already trying to jam as many units as possible under the forcefield. Clearly aesthetics isn't driving you...

And you are already limited by the placement code in how close together things can be. Decollision is only for mobile units.

RocketAssistedPuffin

Sep 13, 2019 2:14 pm

developer   ~0053081

Maybe we should just make the Forcefield Generator itself smaller, make the Factories a bit smaller, then just reduce their priority or something so people don't bother putting them inside (I kind of wonder why that's done? They don't seem too important to me, unless it's a planet by itself, with no Factories nearby *and* you're using mobile forces).

BadgerBadger

Sep 13, 2019 2:22 pm

manager   ~0053082

Or perhaps turrets should be made less effective under force fields. Wasn't that an AIWC mechanic?

RocketAssistedPuffin

Sep 13, 2019 2:29 pm

developer   ~0053083

Yes. You would need to differentiate it via XML for player structure forcefields only.

Asteroid

Sep 13, 2019 2:51 pm

reporter   ~0053084

@BadgerBadger "Clearly aesthetics isn't driving you..." - I'm pretty sure models not clipping into each other is not "aesthetics", it's just 3D game 101. You'd be surprised at the amount of bad PR one ugly screenshot posted online can do.

"limited by the placement code" - We're talking about the forcefield here. Since it's a mobile unit, if it doesn't decollision it will stay embedded inside the other buildings when it's done constructing.

"perhaps turrets should be made less effective under force fields" - I'm pretty sure that mechanic was left out on purpose. The first game gave you zero visual reminder of this mechanic and didn't even show you the reduced damage numbers if you checked out the turrets, so if you missed that tip in the tutorial, you had no idea the mechanic even existed until hours in, you started wondering why your turrets were inefficient. If it was reintroduced, the game would have to give proper feedback and reminders, which is honestly a lot of work all for the sake of discouraging people from putting things under the shield, and all of that to ultimately preserve the mobile shield.

RocketAssistedPuffin

Sep 13, 2019 3:02 pm

developer   ~0053086

Last edited: Sep 13, 2019 4:06 pm

View 3 revisions

Forcefields told you about that mechanic in Classic, and so did the two turrets with an exception.

Forcefields were also in a list of both mobile and immobile units. I...don't have memory of reading these being an issue, whenever I've poked old forum posts for Classic.

Images of the forcefield / damage interaction mentions below, in case they are useful / relevant.

I wonder if...we could kind of keep the mobility, but fix this, by adding a...essentially a no building radius around an entity, optional in XML. So the Forcefield would take up a diameter of...just say 10 random units, but in order to build it'd need 14? So it should never actually be buildable in a spot where it'll decollision away, and the high collision priority it has *should* hopefully mean that random mobile units won't push it around...though the Forcefield can still of course enter a structure and end up decolliding anyway, but maybe that'd then be restricted to the player actually ordering it to move such. And you would have a cozy clear spot to tell it to go to, thanks to the no building radius?

Just a random thought. I think...Broodwar had something like that? Building'd take up this many squares of space when placing, but in reality was often smaller than that, so units could squeeze through.



Forcefield.jpg (82,293 bytes)
Forcefield.jpg (82,293 bytes)
Flak.jpg (99,205 bytes)
Flak.jpg (99,205 bytes)

Asteroid

Sep 14, 2019 12:34 am

reporter   ~0053099

I think that having a deploy/undeploy button and keyboard shortcut to switch force fields from mobile to fixed mode would be the best and least intrusive solution. The extra button would probably sit in the standing orders section, and force fields would default to being fixed (though perhaps an option to have them mobile by default could be introduced).

Asteroid

Sep 15, 2019 6:36 pm

reporter   ~0053118

(Duplicating some Discord discussion)

So, the last part of this post confirms that I'm not the only one bothered by this: https://bugtracker.arcengames.com/view.php?id=21636#c53106

I've re-read the thread and here are some additional thoughts:
@BadgerBadger I don't understand very well why you consider cramming as many turrets under the shield a bad thing. It seems optimal to me given the current game mechanics, in the situation where waves can come from multiple wormholes and there's no convenient point where their path converge enough to intercept them before they reach the command station. And in a regular setup, if turrets have enough range to sit under the shield while covering the killzone you set up, why wouldn't you give them the extra protection?

For the solutions proposed so far, my impression is that they all have significant downsides:
- @BadgerBadger No decollision for forcefields: that would solve the gameplay issue for sure. But it means that you could move the force field generator to clip with any building, which degrades the game visually. So far this game carefully avoids this, so my feeling is that Chris wouldn't like it. And people who like to admire their units up close and take screenshots will definitely complain. Me - it could occasionally bother me, but I play mostly zoomed out.
- @RocketAssistedPuffin No building radius: it would work for placement, but as soon as you order the shield to go to another spot where there are already buildings, the problem can come back. And even if you have a cozy spot for the shield to come back to its original position you have to be really precise about it, because decollision radii are large. You may give the shield the order to move only to find it moved away after reaching its destination.
- (My own) Deploy/Undeploy button: adds yet another command to micro, and upon further reflexion the "fixed" state would likely rely on decollision being off (so same problem as 1st solution above) and when mobile you'd still have to find a safe spot before reverting to the "fixed" mode (so same behavioral problem comes back).

@RocketAssistedPuffin Heavy text descriptions in every tooltip is not the way AI War 2 is doing things as far as I can tell, and the latter is trying to be a lean version of the previous game, so my feeling is that adding back the old "inefficiency under the shield" thing for turrets doesn't fit the current philosophy.

x4000Bughunter

Sep 16, 2019 12:15 pm

administrator   ~0053134

Thanks!

* Put in a likely fix for forcefields to not get bumped around by other ships that are being built. It was the same fix that we put in for flagships, so presumably this should work.

Issue History

Date Modified Username Field Change
Sep 8, 2019 6:54 pm Asteroid New Issue
Sep 8, 2019 8:20 pm RocketAssistedPuffin Note Added: 0052929
Sep 8, 2019 9:00 pm Asteroid Note Added: 0052932
Sep 10, 2019 1:20 pm zeusalmighty Note Added: 0052983
Sep 10, 2019 2:03 pm Asteroid Note Added: 0052986
Sep 13, 2019 12:27 am BadgerBadger Note Added: 0053054
Sep 13, 2019 12:44 am zeusalmighty Note Added: 0053056
Sep 13, 2019 12:46 am Asteroid Note Added: 0053057
Sep 13, 2019 1:04 pm BadgerBadger Note Added: 0053076
Sep 13, 2019 1:46 pm Asteroid Note Added: 0053078
Sep 13, 2019 1:51 pm BadgerBadger Note Added: 0053080
Sep 13, 2019 2:14 pm RocketAssistedPuffin Note Added: 0053081
Sep 13, 2019 2:22 pm BadgerBadger Note Added: 0053082
Sep 13, 2019 2:29 pm RocketAssistedPuffin Note Added: 0053083
Sep 13, 2019 2:51 pm Asteroid Note Added: 0053084
Sep 13, 2019 3:02 pm RocketAssistedPuffin File Added: Flak.jpg
Sep 13, 2019 3:02 pm RocketAssistedPuffin File Added: Forcefield.jpg
Sep 13, 2019 3:02 pm RocketAssistedPuffin Note Added: 0053086
Sep 13, 2019 4:05 pm RocketAssistedPuffin Note Edited: 0053086 View Revisions
Sep 13, 2019 4:06 pm RocketAssistedPuffin Note Edited: 0053086 View Revisions
Sep 14, 2019 12:34 am Asteroid Note Added: 0053099
Sep 15, 2019 6:36 pm Asteroid Note Added: 0053118
Sep 16, 2019 12:15 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 16, 2019 12:15 pm x4000Bughunter Status new => resolved
Sep 16, 2019 12:15 pm x4000Bughunter Resolution open => fixed
Sep 16, 2019 12:15 pm x4000Bughunter Fixed in Version => 0.890 Lighting and Darkness
Sep 16, 2019 12:15 pm x4000Bughunter Note Added: 0053134